Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class EdgePattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.BuiltInPattern
              de.grogra.xl.query.EdgePattern

All Implemented Interfaces:
  BytecodeSerialization.Serializable

    public final class EdgePattern

extends BuiltInPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary
`static int` | `ANY_EDGE` Any edge.
`static int` | `BRANCH_EDGE` Branch edge.
`static int` | `REFINEMENT_EDGE` Refinement edge.
`static int` | `SUCCESSOR_EDGE` Successor edge.

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`EdgePattern(Type nodeType, Type edgeType, int direction)`
`EdgePattern(Type nodeType, Type edgeType, java.io.Serializable edge, int direction)`

Method Summary
`Pattern.Matcher` | `createMatcher(Graph src, XBitSet providedConstants, IntList neededConstantsOut)`
`int` | `getMatchIndex()`
`int` | `getParameterKind(int index)`
`java.io.Serializable` | `getPattern()`
`int` | `getPatternIndex()`
`boolean` | `isDeleting()`
`boolean` | `needsBothDirections()`
`java.lang.String` | `paramString()`
`void` | `write(BytecodeSerialization out)`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ANY_EDGE

    public static final int ANY_EDGE

  Any edge. This `int`-value represents an edge of any type within the context of `EdgePattern`.

  See Also:
    Constant Field Values

### BRANCH_EDGE

    public static final int BRANCH_EDGE

  Branch edge. This `int`-value represents an edge of type branch within the context of `EdgePattern`.

  See Also:
    Constant Field Values

### REFINEMENT_EDGE

    public static final int REFINEMENT_EDGE

  Refinement edge. This `int`-value represents an edge of type refinement within the context of `EdgePattern`.

  See Also:
    Constant Field Values

### SUCCESSOR_EDGE

    public static final int SUCCESSOR_EDGE

  Successor edge. This `int`-value represents an edge of type successor within the context of `EdgePattern`.

  See Also:
    Constant Field Values

Constructor Detail

### EdgePattern

    public EdgePattern(Type nodeType,
                       Type edgeType,
                       int direction)

### EdgePattern

    public EdgePattern(Type nodeType,
                       Type edgeType,
                       java.io.Serializable edge,
                       int direction)

Method Detail

### createMatcher

    public Pattern.Matcher createMatcher(Graph src,
                                         XBitSet providedConstants,
                                         IntList neededConstantsOut)

  Specified by:
    `createMatcher` in class `Pattern`

### getMatchIndex

    public int getMatchIndex()

### getParameterKind

    public int getParameterKind(int index)

  Specified by:
    `getParameterKind` in class `Pattern`

### getPattern

    public java.io.Serializable getPattern()

### getPatternIndex

    public int getPatternIndex()

### isDeleting

    public boolean isDeleting()

  Overrides:
    `isDeleting` in class `Pattern`

### needsBothDirections

    public boolean needsBothDirections()

### paramString

    public java.lang.String paramString()

  Overrides:
    `paramString` in class `Pattern`

### write

    public void write(BytecodeSerialization out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD